---
id: 68b84df2648b4c96b25022f3
title: Step 8
challengeType: 20
dashedName: step-8
---

# --description--

It's time to test your linked list so far! At the bottom of your code, create an instance of `LinkedList` called `my_list`. Then, using the `is_empty` method you created in the last step, print `my_list.is_empty()`.

# --hints--

You should create an instance of `LinkedList` called `my_list`.

```js
({
  test: () => assert(
    runPython(`
      _Node(_code).find_variable("my_list").value_is_call("LinkedList")
    `)
  )
})
```

You should print `my_list.is_empty()`.

```js
({
  test: () => assert(
    runPython(`
      _Node(_code).has_call("print(my_list.is_empty())")
    `)
  )
})
```

# --seed--

## --seed-contents--

```py
class LinkedList:
    class Node:
        def __init__(self, element):
            self.element = element
            self.next = None
            
    def __init__(self):
        self.length = 0
        self.head = None

    def is_empty(self):
        return self.length == 0

--fcc-editable-region--

--fcc-editable-region--
```
